# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/slider/slott/slider/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/slider/slott/slider/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Slider\\Slott/slider\\": "packages/slider/slott/slider/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Slider\Slott/slider\Providers\Slott/sliderServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Slott/slider'  => Slider\Slott/slider\Facades\Slott/slider::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Slider\\Slott/sliderTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Slider\Slott/slider\Providers\Slott/sliderServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Slider\Slott/slider\Providers\Slott/sliderServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Slider\Slott/slider\Providers\Slott/sliderServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/slott/slider/{modulename}

**User**

    http://path-to-route-folder/user/slott/slider/{modulename}

**Public**

    http://path-to-route-folder/slott/sliders


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/slott/slider/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/slott/slider/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/slott/slider/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/slott/slider/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/slott/slider/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/slott/slider/{modulename}/{slug}
    METHOD: GET