Lavalite package that provides slott/slider management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `slider/slott/slider`.

    "slider/slott/slider": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Slider\Slott/slider\Providers\Slott/sliderServiceProvider::class,

And also add it to alias

    'Slott/slider'  => Slider\Slott/slider\Facades\Slott/slider::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Slider\\Slott/sliderTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Slider\Slott/slider\Providers\Slott/sliderServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Slider\Slott/slider\Providers\Slott/sliderServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Slider\Slott/slider\Providers\Slott/sliderServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/slott/slider/{modulename}

**User**

    http://path-to-route-folder/user/slott/slider/{modulename}

**Public**

    http://path-to-route-folder/slott/sliders


### API endpoints

**List**

    http://path-to-route-folder/api/user/slott/slider/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/slott/slider/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/slott/slider/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/slott/slider/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/slott/slider/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/slott/slider/{modulename}/{slug}
    METHOD: GET